#!/usr/bin/env python3
from cursed_menu import CursedMenu
from data_manager import DataManager
from menu_screen import *

from plant import Plant

if __name__ == '__main__':
    my_data = DataManager()
    my_data.init_database()
    # if plant save file exists
    if my_data.check_plant():
        my_plant = my_data.load_plant()
    # otherwise, create new plant
    else:
        my_plant = Plant(my_data.savefile_path)
        my_data.data_write_json(my_plant)
    # my_plant is either a fresh plant or an existing plant at this point
    my_plant.start_life(my_data)
    my_data.start_threads(my_plant)
    try:
        botany_menu = CursedMenu(my_plant, my_data)
        my_data.save_plant(my_plant)
        my_data.data_write_json(my_plant)
        my_data.update_garden_db(my_plant)
    finally:
        cleanup()
